田草博客
日志搜索


 标题   内容 评论


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号 ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件

评论列表

tiancao1001
所发表的评论
[5] [6] [7] [8] [9] [10] [11] [12] [13] [14]  ... [36]  
tiancao1001 于 2013-10-15 07:30 PM 发表评论:
VBA 双击修改
程序代码:[ 复制代码到剪贴板 ]
Private Sub AcadDocument_BeginDoubleClick(ByVal PickPoint As Variant)    '双击文字修改
 On Error Resume Next
    Dim T As AcadText
    Dim Temp As String
      Dim T1 As Integer
      Dim T2 As Integer
      Dim T3 As Integer
      Dim L As Integer
    'If PickfirstSelectionSet.Count <> 1 Then Exit Sub
    Dim SSetObj As AcadSelectionSet
    If PickfirstSelectionSet.Item(0).ObjectName = "AcDbText" Then
            If Err.Number = -2145320949 Then
                 If Err.Number > 0 Then Err.Clear
                 Set SSetObj = CreateSelectionSet("XXX")
                 SSetObj.SelectAtPoint PickPoint '设置个选择之后,双击就不会在执行DDedit了
                 'ThisDrawing.SetVariable "USERS2", "%%130%%131%%132"
                   Set T = SSetObj.Item(0)
                    Temp = T.TextString
                    Temp = Replace(Temp, "\U+0082", "%%130")
                    Temp = Replace(Temp, "\U+0083", "%%131")
                    Temp = Replace(Temp, "\U+0084", "%%132")
                    T.TextString = Temp
                    T1 = InStr(Temp, "%%130")
                    T2 = InStr(Temp, "%%131")
                    T3 = InStr(Temp, "%%132")
                    L = Len(Temp)
                If T1 + T2 + T3 > 0 And L < 40 Then
                     Set SSetObj = CreateSelectionSet("XXX")
                     SSetObj.SelectAtPoint PickPoint '设置个选择之后,双击就不会在执行DDedit了
                     ThisDrawing.SetVariable "USERS2", "%%130%%131%%132"
                     Exit Sub
                Else
                     Dim P As String
                     P = PickPoint(0) & " " & PickPoint(1) & " " & PickPoint(2)
                     Dim P1 As String
                     P1 = PickPoint(0) + 1 & " " & PickPoint(1) + 1 & " " & PickPoint(2)
                     ThisDrawing.SendCommand ("ddedit w " & P & " " & P1 & " ")
                     Exit Sub
                End If
            End If
            
            Set T = PickfirstSelectionSet.Item(0)
            Temp = T.TextString
            Temp = Replace(Temp, "\U+0082", "%%130")
            Temp = Replace(Temp, "\U+0083", "%%131")
            Temp = Replace(Temp, "\U+0084", "%%132")
            T.TextString = Temp
            T1 = InStr(Temp, "%%130")
            T2 = InStr(Temp, "%%131")
            T3 = InStr(Temp, "%%132")
            L = Len(Temp)
            If T1 + T2 + T3 > 0 And L < 40 Then
                 Set SSetObj = CreateSelectionSet("XXX")
                 SSetObj.SelectAtPoint PickPoint '设置个选择之后,双击就不会在执行DDedit了
                 ThisDrawing.SetVariable "USERS2", "%%130%%131%%132"
            End If
    End If
    If Err.Number > 0 Then Err.Clear
    Exit Sub
E:
    MsgBox Err.Number
    Err.Clear
End Sub
'创建选择集******************************************************创建选择集**********************************************************
'
Public Function CreateSelectionSet(Optional ssName As String = "ss") As AcadSelectionSet
    '返回一个空白选择集

    Dim ss As AcadSelectionSet

    On Error Resume Next
    Set ss = ThisDrawing.SelectionSets(ssName)
    If Err Then Set ss = ThisDrawing.SelectionSets.Add(ssName)
    ss.Clear
    Set CreateSelectionSet = ss
    
End Function
'***********************************************************************************************************************************
查看所评论的日志:双击CAD对象,显示自定义对话框实现方法(VB.NET)
tiancao1001 于 2013-08-03 10:42 PM 发表评论:
抗震构造措施,尽然讲有效高度,有何意义。计算时都假定那么多,构造时还讲有效高度,笑话。
查看所评论的日志:田草日志
tiancao1001 于 2013-06-18 08:46 AM 发表评论:
开始菜单常用程序
Windows Registry Editor Version 5.00
[HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer]
"NoDriveTypeAutoRun"=dword:00000091
"NoInstrumentation"=dword:00000000
"NoSMHelp"=dword:00000001
"NoNetHood"=dword:00000000
"NoToolbarCustomize"=dword:00000000
"NoBandCustomize"=dword:00000000
"NoStartBanner"=hex:01
查看所评论的日志:AutoCAD 图形历史不显示 解决办法
tiancao1001 于 2013-06-16 03:00 PM 发表评论:
Windows Registry Editor Version 5.00

[HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer]
"ClearRecentDocsOnExit"=dword:00000000
"NoRecentDocsHistory"=dword:00000000
查看所评论的日志:AutoCAD 图形历史不显示 解决办法
tiancao1001 于 2013-06-11 12:10 AM 发表评论:
《高层建筑混凝土结构技术规程》JGJ 3-2010 P251~252页,也有单位面积重力荷载代表值的总结:
按此在新窗口打开图片
查看所评论的日志:结构设计荷载作用问答
tiancao1001 于 2013-05-11 11:39 PM 发表评论:
过滤参照快:
 Dim Values(0) As TypedValue
 Values.SetValue(New TypedValue(DxfCode.Start, "Insert"), 0)
 Dim acSelFtr As SelectionFilter = New SelectionFilter(Values)

是”Insert" 而不是 "BlockReference“
查看所评论的日志:过滤条件举例
tiancao1001 于 2013-05-11 06:59 PM 发表评论:
去年买的《城市人行天桥与人行地道技术规范》现在没用了。废了
查看所评论的日志:田草日志
tiancao1001 于 2013-04-05 02:05 PM 发表评论:
恭喜你,答对了,我是宿迁的
查看所评论的日志:构造柱钢筋搭接 接头百分率100%是否可以?
[5] [6] [7] [8] [9] [10] [11] [12] [13] [14]  ... [36]  
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©